cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ORG

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ORG

- All Implemented Interfaces:
    ISegment

      public class ORG
      extends Segment

  ORG - Practitioner Organization Unit Segment

  The ORG segment relates a practitioner to an organization unit and adds detailed information regarding the practitioner's practicing specialty in that organization unit

  Represents an HL7 ORG message segment. This segment has the following fields:

  ORG-1: Set ID _ ORG (SI)Required
  ORG-2: Organization Unit Code (CWE)Optional
  ORG-3: Organization Unit Type Code (CWE)Optional
  ORG-4: Primary Org Unit Indicator (ID)Optional
  ORG-5: Practitioner Org Unit Identifier (CX)Optional
  ORG-6: Health Care Provider Type Code (CWE)Optional
  ORG-7: Health Care Provider Classification Code (CWE)Optional
  ORG-8: Health Care Provider Area of Specialization Code (CWE)Optional
  ORG-9: Effective Date Range (DR)Optional
  ORG-10: Employment Status Code (CWE)Optional
  ORG-11: Board Approval Indicator (ID)Optional
  ORG-12: Primary Care Physician Indicator (ID)Optional
  ORG-13: Cost Center Code (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ORG()` Constructs the ORG segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCodedRepresentationofMethod(CWE objCodedRepresentationofMethod)` Add the Cost Center Code.
    `void` | `addCodedRepresentationofMethod(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Cost Center Code.
    `ID` | `getBoardApprovalIndicator()` Retrieves the Board Approval Indicator.
    `ISingleCollection<CWE>` | `getCodedRepresentationofMethod()` Retrieves the Cost Center Code.
    `DR` | `getEffectiveDateRange()` Retrieves the Effective Date Range.
    `CWE` | `getEmploymentStatusCode()` Retrieves the Employment Status Code.
    `CWE` | `getHealthCareProviderAreaofSpecializationCode()` Retrieves the Health Care Provider Area of Specialization Code.
    `CWE` | `getHealthCareProviderClassificationCode()` Retrieves the Health Care Provider Classification Code.
    `CWE` | `getHealthCareProviderTypeCode()` Retrieves the Health Care Provider Type Code.
    `CWE` | `getOrganizationUnitCode()` Retrieves the Organization Unit Code.
    `CWE` | `getOrganizationUnitTypeCode()` Retrieves the Organization Unit Type Code.
    `CX` | `getPractitionerOrgUnitIdentifier()` Retrieves the Practitioner Org Unit Identifier.
    `ID` | `getPrimaryCarePhysicianIndicator()` Retrieves the Primary Care Physician Indicator.
    `ID` | `getPrimaryOrgUnitIndicator()` Retrieves the Primary Org Unit Indicator.
    `SI` | `getSetID_ORG()` Retrieves the Set ID ORG.
    `void` | `setBoardApprovalIndicator(ID objboardApprovalIndicator)` Set the Board Approval Indicator.
    `void` | `setBoardApprovalIndicator(java.lang.String strBoardApprovalIndicator)` Set the Board Approval Indicator.
    `void` | `setCodedRepresentationofMethod(ISingleCollection<CWE> objCodedRepresentationofMethodList)` Set the Cost Center Code.
    `void` | `setEffectiveDateRange(DR objeffectiveDateRange)` Set the Effective Date Range.
    `void` | `setEffectiveDateRange(DTM objRangeStartDateTime, DTM objRangeEndDateTime)` Set the Effective Date Range.
    `void` | `setEmploymentStatusCode(CWE objemploymentStatusCode)` Set the Employment Status Code.
    `void` | `setEmploymentStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Employment Status Code.
    `void` | `setHealthCareProviderAreaofSpecializationCode(CWE objhealthCareProviderAreaofSpecializationCode)` Set the Health Care Provider Area of Specialization Code.
    `void` | `setHealthCareProviderAreaofSpecializationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Health Care Provider Area of Specialization Code.
    `void` | `setHealthCareProviderClassificationCode(CWE objhealthCareProviderClassificationCode)` Set the Health Care Provider Classification Code.
    `void` | `setHealthCareProviderClassificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Health Care Provider Classification Code.
    `void` | `setHealthCareProviderTypeCode(CWE objhealthCareProviderTypeCode)` Set the Health Care Provider Type Code.
    `void` | `setHealthCareProviderTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Health Care Provider Type Code.
    `void` | `setOrganizationUnitCode(CWE objorganizationUnitCode)` Set the Organization Unit Code.
    `void` | `setOrganizationUnitCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Organization Unit Code.
    `void` | `setOrganizationUnitTypeCode(CWE objorganizationUnitTypeCode)` Set the Organization Unit Type Code.
    `void` | `setOrganizationUnitTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Organization Unit Type Code.
    `void` | `setPractitionerOrgUnitIdentifier(CX objpractitionerOrgUnitIdentifier)` Set the Practitioner Org Unit Identifier.
    `void` | `setPractitionerOrgUnitIdentifier(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment)` Set the Practitioner Org Unit Identifier.
    `void` | `setPrimaryCarePhysicianIndicator(ID objprimaryCarePhysicianIndicator)` Set the Primary Care Physician Indicator.
    `void` | `setPrimaryCarePhysicianIndicator(java.lang.String strPrimaryCarePhysicianIndicator)` Set the Primary Care Physician Indicator.
    `void` | `setPrimaryOrgUnitIndicator(ID objprimaryOrgUnitIndicator)` Set the Primary Org Unit Indicator.
    `void` | `setPrimaryOrgUnitIndicator(java.lang.String strPrimaryOrgUnitIndicator)` Set the Primary Org Unit Indicator.
    `void` | `setSetID_ORG(SI objsetID_ORG)` Set the Set ID ORG.
    `void` | `setSetID_ORG(java.lang.String strSetID_ORG)` Set the Set ID ORG.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ORG

          public ORG()

      Constructs the ORG segment.

  - ### Method Detail

    - #### getBoardApprovalIndicator

          public ID getBoardApprovalIndicator()

      Retrieves the Board Approval Indicator. This field contains an indicator for whether this practice specialty requires board approval or not.
      Returns:
        ID - boardApprovalIndicator

    - #### getEffectiveDateRange

          public DR getEffectiveDateRange()

      Retrieves the Effective Date Range. This field contains the date range in which the practitioner started and ended working at the specific organization unit in the specific practicing specialty category.
      Returns:
        DR - effectiveDateRange

    - #### getEmploymentStatusCode

          public CWE getEmploymentStatusCode()

      Retrieves the Employment Status Code. This field contains a code indicating the working relationship of the practitioner at this organization unit.
      Returns:
        CWE - employmentStatusCode

    - #### getHealthCareProviderAreaofSpecializationCode

          public CWE getHealthCareProviderAreaofSpecializationCode()

      Retrieves the Health Care Provider Area of Specialization Code.
      Returns:
        CWE - healthCareProviderAreaofSpecializationCode

    - #### getHealthCareProviderClassificationCode

          public CWE getHealthCareProviderClassificationCode()

      Retrieves the Health Care Provider Classification Code. This field contains the more specific service or occupation within the health care provider type of the practitioner at a specific organization unit.
      Returns:
        CWE - healthCareProviderClassificationCode

    - #### getHealthCareProviderTypeCode

          public CWE getHealthCareProviderTypeCode()

      Retrieves the Health Care Provider Type Code. This field contains the major grouping of the service or occupation of the practitioner at a specific organization unit.
      Returns:
        CWE - healthCareProviderTypeCode

    - #### getOrganizationUnitCode

          public CWE getOrganizationUnitCode()

      Retrieves the Organization Unit Code. This field contains the hierarchical components of the organization unit, as defined by the institution.
      Returns:
        CWE - organizationUnitCode

    - #### getOrganizationUnitTypeCode

          public CWE getOrganizationUnitTypeCode()

      Retrieves the Organization Unit Type Code. This field contains a code indicating the classification of the organization unit.
      Returns:
        CWE - organizationUnitTypeCode

    - #### getPractitionerOrgUnitIdentifier

          public CX getPractitionerOrgUnitIdentifier()

      Retrieves the Practitioner Org Unit Identifier. This field contains an identification code used by the institution to identify this person at this specific organization unit.
      Returns:
        CX - practitionerOrgUnitIdentifier

    - #### getPrimaryCarePhysicianIndicator

          public ID getPrimaryCarePhysicianIndicator()

      Retrieves the Primary Care Physician Indicator. This field contains an indicator for whether this practice specialty may act as a primary care physician (PCP).
      Returns:
        ID - primaryCarePhysicianIndicator

    - #### getPrimaryOrgUnitIndicator

          public ID getPrimaryOrgUnitIndicator()

      Retrieves the Primary Org Unit Indicator. This field contains an indicator for whether this organization unit is the primary organization unit for this practitioner.
      Returns:
        ID - primaryOrgUnitIndicator

    - #### getSetID_ORG

          public SI getSetID_ORG()

      Retrieves the Set ID ORG. This field contains the number that identify this transaction.
      Returns:
        SI - setID_ORG

    - #### setSetID_ORG

          public void setSetID_ORG(java.lang.String strSetID_ORG)

      Set the Set ID ORG. This field contains the number that identify this transaction.
      Parameters:
        `strSetID_ORG` - This field contains the number that identifies AFF transaction.

    - #### setSetID_ORG

          public void setSetID_ORG(SI objsetID_ORG)

      Set the Set ID ORG. This field contains the number that identify this transaction.
      Parameters:
        `objsetID_ORG` - OBject of Set ID ORG.

    - #### setOrganizationUnitCode

          public void setOrganizationUnitCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Organization Unit Code. This field contains the hierarchical components of the organization unit, as defined by the institution.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrganizationUnitCode

          public void setOrganizationUnitCode(CWE objorganizationUnitCode)

      Set the Organization Unit Code. This field contains the hierarchical components of the organization unit, as defined by the institution.
      Parameters:
        `objorganizationUnitCode` - Object of Organization Unit Code.

    - #### setOrganizationUnitTypeCode

          public void setOrganizationUnitTypeCode(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Organization Unit Type Code. This field contains a code indicating the classification of the organization unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrganizationUnitTypeCode

          public void setOrganizationUnitTypeCode(CWE objorganizationUnitTypeCode)

      Set the Organization Unit Type Code. This field contains a code indicating the classification of the organization unit.
      Parameters:
        `objorganizationUnitTypeCode` - Object of Organization Unit Type Code.

    - #### setPrimaryOrgUnitIndicator

          public void setPrimaryOrgUnitIndicator(java.lang.String strPrimaryOrgUnitIndicator)

      Set the Primary Org Unit Indicator. This field contains an indicator for whether this organization unit is the primary organization unit for this practitioner.
      Parameters:
        `strPrimaryOrgUnitIndicator` - String shows the action to be taken .

    - #### setPrimaryOrgUnitIndicator

          public void setPrimaryOrgUnitIndicator(ID objprimaryOrgUnitIndicator)

      Set the Primary Org Unit Indicator. This field contains an indicator for whether this organization unit is the primary organization unit for this practitioner.
      Parameters:
        `objprimaryOrgUnitIndicator` - Object of Primary Org Unit Indicator.

    - #### setPractitionerOrgUnitIdentifier

          public void setPractitionerOrgUnitIdentifier(java.lang.String strIDNumber,
                                              java.lang.String strCheckDigit,
                                              java.lang.String strCheckDigitScheme,
                                              HD objAssigningAuthority,
                                              java.lang.String strIdentifierTypeCode,
                                              HD objAssigningFacility,
                                              java.lang.String strEffectiveDate,
                                              java.lang.String strExpirationDate,
                                              CWE objAssigningJurisdiction,
                                              CWE objAssigningAgencyOrDepartment)

      Set the Practitioner Org Unit Identifier. This field contains an identification code used by the institution to identify this person at this specific organization unit.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.

    - #### setPractitionerOrgUnitIdentifier

          public void setPractitionerOrgUnitIdentifier(CX objpractitionerOrgUnitIdentifier)

      Set the Practitioner Org Unit Identifier. This field contains an identification code used by the institution to identify this person at this specific organization unit.
      Parameters:
        `objpractitionerOrgUnitIdentifier` - Object of Practitioner Org Unit Identifier.

    - #### setHealthCareProviderTypeCode

          public void setHealthCareProviderTypeCode(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Health Care Provider Type Code. This field contains the major grouping of the service or occupation of the practitioner at a specific organization unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHealthCareProviderTypeCode

          public void setHealthCareProviderTypeCode(CWE objhealthCareProviderTypeCode)

      Set the Health Care Provider Type Code. This field contains the major grouping of the service or occupation of the practitioner at a specific organization unit.
      Parameters:
        `objhealthCareProviderTypeCode` - Object of Health Care Provider Type Code.

    - #### setHealthCareProviderClassificationCode

          public void setHealthCareProviderClassificationCode(java.lang.String strIdentifier,
                                                     java.lang.String strText,
                                                     java.lang.String strNameOfCodingSystem,
                                                     java.lang.String strAlternateIdentifier,
                                                     java.lang.String strAlternateText,
                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                     java.lang.String strCodingSystemVersionID,
                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                     java.lang.String strOriginalText,
                                                     java.lang.String strSecondAlternateIdentifier,
                                                     java.lang.String strSecondAlternateText,
                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                     java.lang.String strCodingSystemOID,
                                                     java.lang.String strValueSetOID,
                                                     java.lang.String strValueSetVersionID,
                                                     java.lang.String strAlternateCodingSystemOID,
                                                     java.lang.String strAlternateValueSetOID,
                                                     java.lang.String strAlternateValueSetVersionID,
                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                     java.lang.String strSecondAlternateValueSetOID,
                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Health Care Provider Classification Code. This field contains the more specific service or occupation within the health care provider type of the practitioner at a specific organization unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHealthCareProviderClassificationCode

          public void setHealthCareProviderClassificationCode(CWE objhealthCareProviderClassificationCode)

      Set the Health Care Provider Classification Code. This field contains the more specific service or occupation within the health care provider type of the practitioner at a specific organization unit.
      Parameters:
        `objhealthCareProviderClassificationCode` - Object of Health Care Provider Classification Code.

    - #### setHealthCareProviderAreaofSpecializationCode

          public void setHealthCareProviderAreaofSpecializationCode(java.lang.String strIdentifier,
                                                           java.lang.String strText,
                                                           java.lang.String strNameOfCodingSystem,
                                                           java.lang.String strAlternateIdentifier,
                                                           java.lang.String strAlternateText,
                                                           java.lang.String strNameOfAlternateCodingSystem,
                                                           java.lang.String strCodingSystemVersionID,
                                                           java.lang.String strAlternateCodingSystemVersionId,
                                                           java.lang.String strOriginalText,
                                                           java.lang.String strSecondAlternateIdentifier,
                                                           java.lang.String strSecondAlternateText,
                                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                                           java.lang.String strCodingSystemOID,
                                                           java.lang.String strValueSetOID,
                                                           java.lang.String strValueSetVersionID,
                                                           java.lang.String strAlternateCodingSystemOID,
                                                           java.lang.String strAlternateValueSetOID,
                                                           java.lang.String strAlternateValueSetVersionID,
                                                           java.lang.String strSecondAlternateCodingSystemOID,
                                                           java.lang.String strSecondAlternateValueSetOID,
                                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Health Care Provider Area of Specialization Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHealthCareProviderAreaofSpecializationCode

          public void setHealthCareProviderAreaofSpecializationCode(CWE objhealthCareProviderAreaofSpecializationCode)

      Set the Health Care Provider Area of Specialization Code.
      Parameters:
        `objhealthCareProviderAreaofSpecializationCode` - Object of Health Care Provider Area of Specialization Code.

    - #### setEffectiveDateRange

          public void setEffectiveDateRange(DTM objRangeStartDateTime,
                                   DTM objRangeEndDateTime)

      Set the Effective Date Range. This field contains the date range in which the practitioner started and ended working at the specific organization unit in the specific practicing specialty category.
      Parameters:
        `objRangeStartDateTime` - Specifies the earliest date/time (time stamp) in the specified range.
        `objRangeEndDateTime` - Specifies the latest date/time in the specified range.

    - #### setEffectiveDateRange

          public void setEffectiveDateRange(DR objeffectiveDateRange)

      Set the Effective Date Range. This field contains the date range in which the practitioner started and ended working at the specific organization unit in the specific practicing specialty category.
      Parameters:
        `objeffectiveDateRange` - Object of Effective Date Range.

    - #### setEmploymentStatusCode

          public void setEmploymentStatusCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Employment Status Code. This field contains a code indicating the working relationship of the practitioner at this organization unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEmploymentStatusCode

          public void setEmploymentStatusCode(CWE objemploymentStatusCode)

      Set the Employment Status Code. This field contains a code indicating the working relationship of the practitioner at this organization unit.
      Parameters:
        `objemploymentStatusCode` - Object of Employment Status Code.

    - #### setBoardApprovalIndicator

          public void setBoardApprovalIndicator(java.lang.String strBoardApprovalIndicator)

      Set the Board Approval Indicator. This field contains an indicator for whether this practice specialty requires board approval or not.
      Parameters:
        `strBoardApprovalIndicator` - String shows the action to be taken .

    - #### setBoardApprovalIndicator

          public void setBoardApprovalIndicator(ID objboardApprovalIndicator)

      Set the Board Approval Indicator. This field contains an indicator for whether this practice specialty requires board approval or not.
      Parameters:
        `objboardApprovalIndicator` - Object of Board Approval Indicator.

    - #### setPrimaryCarePhysicianIndicator

          public void setPrimaryCarePhysicianIndicator(java.lang.String strPrimaryCarePhysicianIndicator)

      Set the Primary Care Physician Indicator. This field contains an indicator for whether this practice specialty may act as a primary care physician (PCP).
      Parameters:
        `strPrimaryCarePhysicianIndicator` - String shows the action to be taken .

    - #### setPrimaryCarePhysicianIndicator

          public void setPrimaryCarePhysicianIndicator(ID objprimaryCarePhysicianIndicator)

      Set the Primary Care Physician Indicator. This field contains an indicator for whether this practice specialty may act as a primary care physician (PCP).
      Parameters:
        `objprimaryCarePhysicianIndicator` - Object of Primary Care Physician Indicator.

    - #### getCodedRepresentationofMethod

          public ISingleCollection<CWE> getCodedRepresentationofMethod()

      Retrieves the Cost Center Code. This field contains the cost center name or code assigned to this organization unit. recorded in a computer-understandable (coded) form here.
      Returns:
        ISingleCollection - CostCenterCode

    - #### addCodedRepresentationofMethod

          public void addCodedRepresentationofMethod(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Add the Cost Center Code. This field contains the cost center name or code assigned to this organization unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCodedRepresentationofMethod

          public void addCodedRepresentationofMethod(CWE objCodedRepresentationofMethod)

      Add the Cost Center Code. This field contains the cost center name or code assigned to this organization unit.
      Parameters:
        `objCodedRepresentationofMethod` - Object of Cost Center Code.

    - #### setCodedRepresentationofMethod

          public void setCodedRepresentationofMethod(ISingleCollection<CWE> objCodedRepresentationofMethodList)

      Set the Cost Center Code. This field contains the cost center name or code assigned to this organization unit.
      Parameters:
        `objCodedRepresentationofMethodList` - List of Cost Center Code.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.